package pl.alx.pracownicy;

import java.io.FileInputStream;

import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.BitmapFactory;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;

public class ZdjecieActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_pracownicy);
		((Button) findViewById(R.id.guzik))
				.setOnClickListener(new View.OnClickListener() {
					@Override
					public void onClick(View v) {
						Intent i = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
						i.putExtra(
								MediaStore.EXTRA_OUTPUT,
								Uri.parse("content://pl.alx.pracownicy.ZdjecieProvider"));
						startActivityForResult(i, 357);
					}
				});
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		FileInputStream is;
		try {
			is = openFileInput("fotka.jpg");
			ImageView iv = new ImageView(this);
			iv.setImageBitmap(BitmapFactory.decodeStream(is));
			setContentView(iv);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

}
